Ticket #43572

--without-iconv

Open Date: 2022-01-07 12:54 Last Update: 2022-03-11 01:30

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

At least in theory code in utility/ should cope to the lack of iconv(), with a reduced functionality. Autotools configure considers lack of iconv() an hard error.

Maybe we should provide a way to configure without iconv(). Lack of it is quite serious, so I'd still keep it an error by default, so am not proposing to just turn the error to a warning. Instead of I would suggest providing configure option --without-iconv. When that option has been explicitly given, we would skip iconv checks.

Ticket History (3/5 Histories)

2022-01-07 12:54 Updated by: cazfi
  • New Ticket "--without-iconv" created
2022-01-07 15:04 Updated by: cazfi
2022-02-24 12:34 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
Comment

Going to push to S2_6 too, to support AmigaOS work

2022-03-11 01:30 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login